Skip to content

Shop Ranking - Fully Managed Sales

Introduction

Get TikTok shop fully managed sales ranking data, with the following features:

  • Supports setting filtering parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /shop/v1/rank/fullyManaged

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoPage number, default: 1
pagesizeintegerNoItems per page, default: 10

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
category_idintegerNoProduct category
shop_typeintegerNoShop type: 1 (Brand shop), 2 (Retail shop)
date_infoobjectNoDate information

region range: ['US', 'GB', 'ES', 'MX', 'DE', 'IT', 'FR']

orderby Optional Values

FieldRequiredDescription
units_soldNoSales (desc)
usd_gmvNoRevenue (desc)

Request Example

bash
curl 'https://openapi.fastmoss.com/shop/v1/rank/fullyManaged' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "shop_type": 1,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-05"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
      # ,
      # {
      #   "field": "usd_gmv",
      #   "order": "desc",
      # }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

Total number of items in the result.

data.list

FieldTypeDescription
shop_infoobjectShop information
rank_categoryobjectRanking category
total_affiliate_countintegerTotal associated creators
sale_product_countintegerNumber of selling products
units_soldintegerSales units
gmvintegerSales revenue (GMV)
usd_gmvintegerRevenue in USD
units_sold_inc_ratestringSales growth rate
gmv_inc_ratestringRevenue growth rate
currencystringCurrency

Response Example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "shop_info": {
          "seller_id": 8647778611395402618,
          "name": "Selected by the clouds",
          "brand": "",
          "seller_company": "",
          "avatar": "https://s.500fd.com/tt_shop/b3ce7bfb75134887a3959a3edb69fb7c~tplv-aphluv4xwc-resize-png:300:300.png",
          "region": "GB",
          "currency": "GBP",
          "product_count": 97,
          "shop_rating": 4.2,
          "main_category": { "category_id": 19, "name": "Toys & Hobbies" },
          "is_fully_managed": 1,
          "is_cross_border": 0,
          "shop_type": 0,
          "status": 1
        },
        "rank_category": { "category_id": 0, "name": "" },
        "total_affiliate_count": 128,
        "sale_product_count": 5,
        "units_sold": 278,
        "gmv": 789.87,
        "usd_gmv": 979.44,
        "units_sold_inc_rate": "-13.93%",
        "gmv_inc_rate": "-11.26%",
        "currency": "GBP"
      }
    ],
    "total": 500,
    "date_type": "day",
    "date_value": "2026-04-06"
  },
  "message": "",
  "timestamp": 1775714686,
  "request_id": "330953f3-2044-1c23-ba2f-45a14714ba8e"
}